package com.github.itzilly.sbt

import com.github.itzilly.sbt.features.ChestEsp
import com.github.itzilly.sbt.features.GemstoneFinder
import com.github.itzilly.sbt.features.GrottoFinder
import com.github.itzilly.sbt.features.router.RouteBuilder
import com.github.itzilly.sbt.util.MessageScheduler
import net.minecraft.client.Minecraft
import net.minecraftforge.common.MinecraftForge
import net.minecraftforge.fml.common.Mod
import net.minecraftforge.fml.common.event.FMLInitializationEvent

@Mod(modid = "sbt", useMetadata = true)
class SkyBlockTweaks {
    init {
        INSTANCE = this
    }

    companion object {
        lateinit var INSTANCE: SkyBlockTweaks
    }

    @Mod.EventHandler
    fun init(event: FMLInitializationEvent) {
        STBKeyBinds.init()

        MinecraftForge.EVENT_BUS.register(RouteBuilder)
        MinecraftForge.EVENT_BUS.register(InputHandler())
        MinecraftForge.EVENT_BUS.register(MessageScheduler)
        MinecraftForge.EVENT_BUS.register(GrottoFinder)
        MinecraftForge.EVENT_BUS.register(ChestEsp)
        MinecraftForge.EVENT_BUS.register(GemstoneFinder)
    }
}